API reference / Instagram / Post comments by shortcode
Post comments by shortcode
Comments on a post or reel, looked up by its shortcode.
2 credits per successful call
Errors are never charged
Request
GET
https://socialgraph.dev/api/v1/instagram/comments-by-shortcode
Send your API key as Authorization: Bearer YOUR_API_KEY.
Parameters go in the query string.
Parameters
| Name | Type | Description |
|---|---|---|
shortcoderequired |
string | Post or reel shortcode from its URL, e.g. Dd6tzlSs75M. |
Code examples
Example response
{
"count": 136,
"comments": [
{
"comment": "@apple DISSATISFACTION",
"media_id": "3997709076073266764",
"commenter": {
"id": "2458375770",
"avatar": "https://scontent.cdninstagram.com/v/t51.82787-19/572390069_….jpg",
"username": "s0n_of_almighty"
},
"comment_id": "18109921640590139",
"comment_date": "2026-10-13T08:09:43Z"
},
{
"comment": "@steve_jobs_unofficial",
"media_id": "3997709076073266764",
"commenter": {
"id": "2458375770",
"avatar": "https://scontent.cdninstagram.com/v/t51.82787-19/572390069_….jpg",
"username": "s0n_of_almighty"
},
"comment_id": "18093089027179296",
"comment_date": "2026-10-13T08:09:08Z"
},
"… 136 comments in total"
],
"media_id": "3997709076073266764",
"short_code": "Dd6tzlSs75M"
}Errors
| Status | Meaning | Charged? |
|---|---|---|
| 401 | Missing, invalid or revoked API key | No |
| 402 | Not enough credits (insufficient_credits) | No |
| 404 | The account or post doesn't exist | No |
| 422 | Missing or invalid parameters | No |
| 502 / 503 | The data source is temporarily unavailable | No |
Try it live: Post comments by shortcode
GET
🔒 Preset demo input. Live demos use Instagram's own account, @instagram. Sign up free to use your own.
More Instagram endpoints
GET
Profile details by username
Public profile details for a username: bio, links, counts, verification and profile picture.
/api/v1/instagram/profile
2 credits / call
GET
Profile details by user ID
Public profile details for a numeric Instagram user ID.
/api/v1/instagram/profile-by-id
2 credits / call
GET
Follower & following counts
Follower count, following count and user ID for a username.
/api/v1/instagram/follow-counts
2 credits / call
GET
Post details
Details of a single post or reel by shortcode, without the view count.
/api/v1/instagram/post-details
2 credits / call
GET
Reel details with view count
Full details of a single reel by shortcode, including its view count.
/api/v1/instagram/reel-details-with-views
2 credits / call
GET
Latest 12 posts & reels
The 12 most recent posts and reels of a username.
/api/v1/instagram/latest-posts
2 credits / call